Package com.collibra.dgc.core.api.dto.instance.complexrelation

# Class ComplexRelationAttributeRequest

Object
ComplexRelationAttributeRequest

All Implemented Interfaces:
  `Serializable`

public class ComplexRelationAttributeRequest extends Object implements Serializable
The properties of the attribute to be included in complex relation.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ComplexRelationAttributeRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ComplexRelationAttributeRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ComplexRelationAttributeRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getAttributeTypeId()`
  Required. The ID of the type of the single attribute for complex relation.
  `List<String>`
  `getValue()`
  The value of the attribute attached to the complex relation.
  `int`
  `hashCode()`
  `void`
  `setAttributeTypeId(UUID attributeTypeId)`
  Required. The ID of the type of the single attribute for complex relation.
  `void`
  `setValue(List<String> value)`
  The value of the attribute attached to the complex relation.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ComplexRelationAttributeRequest

    public ComplexRelationAttributeRequest()

- ## Method Details

  - ### builder

    public static ComplexRelationAttributeRequest.Builder builder()

  - ### getAttributeTypeId

    public UUID getAttributeTypeId()
    Required. The ID of the type of the single attribute for complex relation.

  - ### getValue

    public List<String> getValue()
    The value of the attribute attached to the complex relation.

  - ### setAttributeTypeId

    public void setAttributeTypeId(UUID attributeTypeId)
    Required. The ID of the type of the single attribute for complex relation.

  - ### setValue

    public void setValue(List<String> value)
    The value of the attribute attached to the complex relation.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`